Bug 1779935 - [4.2.z] Install fails on Z due to timeout in cluster-samples-operator
Summary: [4.2.z] Install fails on Z due to timeout in cluster-samples-operator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.2.z
Hardware: s390x
OS: Linux
urgent
urgent
Target Milestone: ---
: 4.2.z
Assignee: Gabe Montero
QA Contact: Jeremy Poulin
URL:
Whiteboard:
Depends On: 1779933 1779934
Blocks: 1792105
TreeView+ depends on / blocked
 
Reported: 2019-12-05 03:05 UTC by Adam Kaplan
Modified: 2020-01-17 03:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1779934
Environment:
Last Closed: 2019-12-11 22:36:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4093 None None None 2019-12-11 22:36:16 UTC

Description Adam Kaplan 2019-12-05 03:05:40 UTC
+++ This bug was initially created as a clone of Bug #1779934 +++

+++ This bug was initially created as a clone of Bug #1779933 +++

On the latest commit on s390x, the cluster samples operator is reporting that it is available and finished progressing, however the openshift installer is not detecting that the operator has finished updating, and ends up timing out.

DEBUG Built from commit 6ed04f65b0f6a1e11f10afe658465ba8195ac459 
INFO Waiting up to 30m0s for the cluster at https://api.test.example.com:6443 to initialize... 
DEBUG Still waiting for the cluster to initialize: Cluster operator openshift-samples is still updating```

The offending commit is https://github.com/openshift/cluster-samples-operator/pull/187 which we do need overall but apparently isn't quite right.

--- Additional comment from Yaakov Selkowitz on 2019-12-05 02:59:29 UTC ---

David, please provide all needed info here.

Comment 1 Gabe Montero 2019-12-05 15:05:40 UTC
cherrypick has been requested off of 4.4 https://github.com/openshift/cluster-samples-operator/pull/205 for this release once that PR merges

Comment 6 errata-xmlrpc 2019-12-11 22:36:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4093


Note You need to log in before you can comment on or make changes to this bug.